<?php
/**
* レイアウトマネージャを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface ILayoutManager
{

	/**
	 *   レイアウトマネージャ名を取得
	 */
	public function getLayoutManagerName();

	/*
	 *   レイアウトマネージャを初期化する
	 */
	public function init( Config $config );

	/**
	 *   レイアウトする
	 */
	public function layout( $layout_name, ITaskManager $task_manager, ProcedureContext $context, Response $response );

}
